D4Science Infrastructure - Task #9899

Please provide the list of all production contexts
Oct 05, 2017 06:09 PM - Luca Frosini

Status: Closed Start date: Oct 05, 2017
Priority: Urgent Due date:
Assignee: Massimiliano Assante % Done: 100%
Category: Data Management Estimated time: 0.00 hour
Target version: D4Science Infrastructure Upgrade to

4.7.0
Infrastructure: Production
Description

The Resource Registry needs the creation of the contexts it has to respond to.
As we agreed you have to provide me a java class providing the list of all the production contexts.

Related issues:

Blocks D4Science Infrastructure - Task #9900: Please provide the list of tok... Closed Oct 05, 2017
Blocks D4Science Infrastructure - Task #9912: Make a script to create all pro... Closed Oct 09, 2017
History

#1 - Oct 05, 2017 06:12 PM - Luca Frosini

- Related to Task #9900: Please provide the list of token for all production environments where to run the is-exporter added

#2 - Oct 05, 2017 07:13 PM - Pasquale Pagano

| am a bit surprised by this request. The list you are looking for is available through the current IS.
If you query the IS in a VO scope for all Generic Resource with subtype VRE you get the list of VREs deployed in that VO. If you iterate for the list of
VOs then you get all the available contexts.

Please notice that the list of available VO should be registered at root level in the IS but it does not. This is an error since the VO resource is
registered as Generic Resource in the VO context itself but it should be registered in the root VO as well. | invite either @roberto.cirillo@isti.cnr.it or
@Ilucio.lelii@isti.cnr.it to fix this issue.

#3 - Oct 09, 2017 12:11 PM - Luca Frosini

- Related to deleted (Task #9900: Please provide the list of token for all production environments where to run the is-exporter)

#4 - Oct 09, 2017 12:11 PM - Luca Frosini

- Blocks Task #9900: Please provide the list of token for all production environments where to run the is-exporter added

#5 - Oct 09, 2017 12:12 PM - Luca Frosini
- Status changed from New to Closed

- % Done changed from 0 to 100

#6 - Oct 09, 2017 12:26 PM - Luca Frosini

- Blocks Task #9912: Make a script to create all production context in new resource registry added

May 01, 2025 1/1



http://www.tcpdf.org

